
* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

html {
  font-family: "Public Sans", sans-serif;
  font-size: 62.5%;
  overflow-x: hidden;
}

body {
  width: 100%;
  margin: 0;
  overflow-x: hidden;
}

.container {
  width: 100%;
  max-width: 120rem;
  margin: 0 auto;
  padding: 0 2.5rem;
}

header {
  width: 100%;
  height: 7.5rem;
  padding: 1.5rem 0;
  background-color: white;
  position: relative;
  z-index: 3;
}

.logo {
  height: 2.3rem;
}

.toggle,
.burger {
  display: none;
}

nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
}

.navbar {
  display: flex;
  justify-content: center;
  align-items: center;
}

.navbar li {
  list-style: none;
  margin: 0 1.5rem;
}

li a {
  font-size: 1.6rem;
  text-decoration: none;
  color: hsl(233, 8%, 62%);
  padding-bottom: 2rem;
  position: relative;
}

li a:hover {
  color: hsl(233, 26%, 24%);
}

nav ul li a::before {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 0.3rem;
  background: linear-gradient(to right, hsl(136, 65%, 51%), hsl(192, 70%, 51%));
  opacity: 0;
  transform: scaleX(0);
  transform-origin: left;
  transition: all 0.3s;
}

nav ul li a:hover::before {
  opacity: 1;
  transform: scaleX(1);
}

.button {
  font-size: 1.5rem;
  color: white;
  font-weight: 700;
  text-decoration: none;
  padding: 1.3rem 3rem;
  background: linear-gradient(to right, hsl(136, 65%, 51%), hsl(192, 70%, 51%));
  border: none;
  border-radius: 5rem;
  opacity: 1;
  cursor: pointer;
}

.button:hover {
  background: linear-gradient(to right, hsl(136, 65%, 71%), hsl(192, 70%, 71%));
}

.banner-section {
  width: 100%;
  height: 50vh;
  background-color: hsl(0, 0%, 98%);
}

.banner {
  display: flex;
  flex-direction: column-reverse;
}

.banner-image {
  display: inline-block;
  text-align: left;
  height: 38rem;
}

.banner-image::before {
  content: "";
  position: absolute;
  top: -10rem;
  right: -10rem;
  width: 80rem;
  height: 70rem;
  background-image: url(./easybank-landing-page/images/bg-intro-desktop.svg);
  background-repeat: no-repeat;
  background-size: cover;
}

.banner-image img {
  width: 60%;
  height: 80vh;
  transform: translate(64rem, -10rem);
}

.banner-text {
  text-align: start;
  position: absolute;
  top: 18rem;
}

.banner-text h1 {
  font-size: 3.5rem;
  font-weight: normal;
  color: hsl(233, 26%, 24%);
  line-height: 4.5rem;
}

.banner-text h1 span {
  display: inline-block;
}

.banner-text p {
  margin: 2rem 0;
  padding-bottom: 1rem;
  width: 30rem;
  font-size: 1.2rem;
  line-height: 2rem;
  color: hsl(0, 0%, 60%);
}

.why-section {
  background-color: hsl(220, 16%, 96%);
}

.why {
  width: 100%;
  height: 50rem;
  padding: 8rem 4rem;
}

.why-text {
  width: 100%;
  display: inline-block;
  text-align: left;
}

.why-text h2 {
  text-align: left;
  padding-right: 1.5rem;
  margin-bottom: 1.6rem;
}

.why-text p {
  margin-bottom: 2rem;
  line-height: 2rem;
  font-size: 1.2rem;
  color: hsl(0, 0%, 60%);
}

h2 {
  font-size: 3rem;
  font-weight: normal;
  color: hsl(233, 26%, 24%);
  line-height: 4rem;
}

.why-reason-menu {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(22rem, 1fr));
  text-align: left;
  padding-top: 3rem;
}

h3 {
  font-size: 2rem;
  font-weight: normal;
  color: hsl(233, 26%, 24%);
  line-height: 4.5rem;
  margin-bottom: 1.2rem;
}

.reason-box p {
  width: 20rem;
  line-height: 1.8rem;
  font-size: 1.2rem;
  color: hsl(0, 0%, 60%);
}

.latest-articles {
  background-color: hsl(0, 0%, 98%);
  height: 65rem;
  padding: 8rem 4rem;
}

.article-head {
  width: 100%;
  display: inline-block;
  text-align: left;
  margin-bottom: 5rem;
}

.article {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(22rem, 1fr));
  row-gap: 4rem;
  column-gap: 2rem;
}

.article-card {
  background-color: white;
  background-origin: 1px solid transparent;
  border-radius: 0.5rem;
  overflow: hidden;
}

.article-card img {
  width: 100%;
  height: 20rem;
  margin-bottom: 1.3rem;
}

.article-content {
  padding: 2rem;
}

.article-by {
  font-size: 1.2rem;
  margin-bottom: 1.3rem;
  color: hsl(0, 0%, 60%);
}

.article-heading {
  font-size: 1.7rem;
  font-weight: normal;
  color: hsl(233, 26%, 24%);
  margin-bottom: 1.3rem;
}

.article-heading:hover {
  color: hsl(136, 65%, 51%);
  cursor: pointer;
}

.article-body {
  font-size: 1.3rem;
  color: hsl(0, 0%, 60%);
}

footer {
  background-color: hsl(233, 26%, 24%);
  display: flex;
  justify-content: space-between;
  padding: 3rem 5rem;
}

.foot-one {
  display: flex;
  justify-content: space-between;
  flex-basis: 50%;
  margin-left: 2rem;
}

footer ul {
  list-style: none;
}

.foot-content {
  display: flex;
  justify-content: space-between;
  flex-direction: column;
  padding: 1rem;
}

.socials li {
  display: inline-block;
  margin-right: 1rem;
}

.socials li a:hover {
  filter: invert(62%) sepia(99%) saturate(393%) hue-rotate(80deg)
    brightness(98%) contrast(83%);
}

.foot-nav-1 li,
.foot-nav-2 li {
  margin: 1.5rem 0;
}

.foot-nav-1 li a,
.foot-nav-2 li a {
  color: hsl(220, 16%, 96%);
}

.foot-nav-1 li a:hover,
.foot-nav-2 li a:hover {
  color: hsl(136, 65%, 51%);
}

.foot-two {
  display: flex;
  align-items: flex-end;
  flex-direction: column;
  margin-right: 2rem;
}

.foot-btn {
  margin-top: 1.5rem;
}

.foot-two h4 {
  font-size: 1.6rem;
  color: hsl(233, 8%, 62%);
  margin-top: 3rem;
}

@media screen and (max-width: 800px) {
  nav .button {
    display: none;
  }

  nav .logo {
    margin-top: 1rem;
  }

  .burger {
    display: inline-block;
    position: absolute;
    top: 2rem;
    right: 3rem;
    cursor: pointer;
  }

  .burger img {
    margin-top: 1rem;
    width: 3rem;
  }

  .navbar {
    flex-direction: column;
    width: 90%;
    margin: 4rem auto;
    padding: 2rem 0;
    background-color: white;
    border-radius: 0.8rem;
    transform: translateX(200%);
    transition: all 0.1s;
    z-index: 3;
  }

  .navbar li {
    padding: 1rem 0;
    font: 1.8rem;
  }

  .navbar li a {
    color: hsl(233, 26%, 24%);
    font-weight: normal;
  }

  li a:hover {
    color: hsl(136, 65%, 51%);
  }

  nav ul li a:hover::before {
    display: none;
  }

  .toggle:checked ~ .navbar {
    transform: translateY(2rem);
  }

  .toggle:checked ~ .burger {
    border-radius: 0.3rem;
    content: url(./easybank-landing-page/images/icon-close.svg);
    margin-top: 0.5rem;
  }

  .banner-section {
    all: unset;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column-reverse;
    background-color: #fff;
    height: 90vh;
    position: relative;
  }

  .banner-image {
    position: relative;
    display: inline-block;
    text-align: center;
    height: 48rem;
    width: 100vw;
    background-image: url(./easybank-landing-page/images/bg-intro-mobile.svg);
    background-size: 100vw;
    background-repeat: no-repeat;
  }

  .banner-image::before {
    display: none;
  }

  .banner-image img {
    width: 100vw;
    height: 48rem;
    transform: translate(-2.5rem, -11rem);
  }

  .banner-text {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    top: -10rem;
    text-align: center;
  }

  .banner-text h1 {
    font-size: 3.5rem;
    font-weight: normal;
    color: hsl(233, 26%, 24%);
    line-height: 4.5rem;
  }

  .banner-text p {
    margin: 2rem;
    padding: 2rem;
    width: 40rem;
    font-size: 1.6rem;
    line-height: 2.5rem;
    color: hsl(0, 0%, 60%);
  }

  .why {
    width: 100vw;
    height: max-content;
    padding: 4rem;
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .why-text {
    width: 75vw;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

  .why-text h2 {
    text-align: center;
    margin-bottom: 1.6rem;
  }

  .why-text p {
    margin-bottom: 1rem;
    line-height: 2rem;
    font-size: 1.2rem;
    color: hsl(0, 0%, 60%);
  }

  h2 {
    font-size: 3rem;
    font-weight: normal;
    color: hsl(233, 26%, 24%);
    line-height: 4rem;
  }

  .why-reason-menu {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    text-align: center;
  }

  h3 {
    font-size: 2rem;
    font-weight: normal;
    color: hsl(233, 26%, 24%);
    line-height: 4.5rem;
    margin-bottom: 1.2rem;
  }

  .reason-box {
    margin: 1rem 0;
  }

  .reason-box p {
    width: 20rem;
    line-height: 1.8rem;
    font-size: 1.2rem;
    color: hsl(0, 0%, 60%);
    display: flex;
    flex-direction: column;
  }

  .latest-articles {
    background-color: hsl(0, 0%, 98%);
    height: max-content;
    width: 100vw;
  }

  .article-head {
    text-align: center;
    margin-bottom: 2rem;
  }

  .article {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .article-card {
    width: 90vw;
    background-color: #fff;
    border-radius: 0.5rem;
    margin: 1rem;
  }

  footer {
    width: 100vw;
    height: fit-content;
    background-color: hsl(233, 26%, 24%);
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .foot-content > .logo {
    margin-right: 1rem;
  }

  .socials {
    margin-top: 4rem;
    margin-right: 1.5rem;
  }

  .foot-one {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

  .foot-nav-1,
  .foot-nav-2 {
    text-align: center;
    margin: 0 2rem 0 0;
  }

  .foot-two {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

  .foot-btn {
    margin: 1.5rem 0 0 1.8rem;
  }

  .foot-two h4 {
    width: 100vw;
    font-size: 1.6rem;
    color: hsl(233, 8%, 62%);
    text-align: center;
  }
}